	subroutine icy(c,e,icecub)
c
	character*14 icecub
300	format(f5.0,4h +- ,f4.0,1x)
301	format(f5.1,4h +- ,f4.1,1x)
302	format(f5.2,4h +- ,f4.2,1x)
303	format(f5.3,4h +- ,f5.3)
304	format(f6.0,3h+- ,f4.0,1x)
305	format(f5.0,3h +-,f5.0)
c
	if (e.ge.10000.) goto 5
	goto (1,2,3,4,4,5),max0(ifix(alog10(e)+3.),1)
1		write(icecub,303) c,e
	return
2		write(icecub,302) c,e
	return
3		write(icecub,301) c,e
	return
4		if (c.lt.10000.) write(icecub,300) c,e
	if (c.ge.10000.) write(icecub,304) c,e
	return
5		write(icecub,305) c,e
	return
c
	end
